package com.ruoyi.care.mapper;

import java.util.List;
import com.ruoyi.care.domain.CareHospital;

/**
 * 医院Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-29
 */
public interface CareHospitalMapper 
{
    /**
     * 查询医院
     * 
     * @param hospitalId 医院主键
     * @return 医院
     */
    public CareHospital selectCareHospitalByHospitalId(Long hospitalId);

    /**
     * 查询医院列表
     * 
     * @param careHospital 医院
     * @return 医院集合
     */
    public List<CareHospital> selectCareHospitalList(CareHospital careHospital);

    /**
     * 新增医院
     * 
     * @param careHospital 医院
     * @return 结果
     */
    public int insertCareHospital(CareHospital careHospital);

    /**
     * 修改医院
     * 
     * @param careHospital 医院
     * @return 结果
     */
    public int updateCareHospital(CareHospital careHospital);

    /**
     * 删除医院
     * 
     * @param hospitalId 医院主键
     * @return 结果
     */
    public int deleteCareHospitalByHospitalId(Long hospitalId);

    /**
     * 批量删除医院
     * 
     * @param hospitalIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCareHospitalByHospitalIds(Long[] hospitalIds);
}
